INTERFACE
SUBROUTINE GEMS_TEND_AD( KIDIA, KFDIA, KLEV, KLON,&
 & PLRCH4, PGFL, PTENGFL, PCEN, PTENC ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOM_YGFL , ONLY : NAERO, NGRG,&
 & YGHG, NGHG, YGFL, YGRG, YAERO 
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
REAL(KIND=JPRB), INTENT(INOUT) :: PGFL(KLON,KLEV,YGFL%NDIM), PTENGFL(KLON,KLEV,YGFL%NDIM1)
REAL(KIND=JPRB), POINTER :: PCEN(:,:,:),PTENC(:,:,:)
REAL(KIND=JPRB), INTENT(IN) :: PLRCH4(KLON,KLEV)
END SUBROUTINE GEMS_TEND_AD
END INTERFACE
